No se pudieron analizar o abrir las listas de paquetes [Solucionado]

¡Hola a todos!Hace poco reinstalé el 13.04 en una instalacion limpia y me extrañaba que no hubiera actualizaciones y al hacer un update desde la consola me salieron errores, no me atrevía a publicar este post pero después de buscar y no encontrar el fallo especifico me voy a arriesgar a que me echen la bronca shamed Ha ha ha... bueno, he encontrado fallos parecidos pero no me han servido de ayuda, esto es lo que me sale al hacer $ sudo apt-get update

# sudo apt-get update
Des:1 http://extras.ubuntu.com raring Release.gpg [72 B]
Des:2 http://security.ubuntu.com raring-security Release.gpg [933 B]          
Des:3 http://extras.ubuntu.com raring Release [9.756 B]
Des:4 http://security.ubuntu.com raring-security Release [40,8 kB]            
Obj http://es.archive.ubuntu.com raring Release.gpg                           
Obj http://es.archive.ubuntu.com raring-updates Release.gpg                   
Des:5 http://extras.ubuntu.com raring/main Sources [14 B]   
Obj http://es.archive.ubuntu.com raring-backports Release.gpg
Des:6 http://extras.ubuntu.com raring/main i386 Packages [14 B]               
Des:7 http://security.ubuntu.com raring-security/main Sources [52,2 kB]       
Obj http://es.archive.ubuntu.com raring Release                               
Des:8 http://security.ubuntu.com raring-security/restricted Sources [14 B]    
Obj http://es.archive.ubuntu.com raring-updates Release                       
Des:9 http://security.ubuntu.com raring-security/universe Sources [12,6 kB]   
Obj http://es.archive.ubuntu.com raring-backports Release                     
Des:10 http://security.ubuntu.com raring-security/multiverse Sources [2.267 B]
Des:11 http://security.ubuntu.com raring-security/main i386 Packages [134 kB] 
Obj http://es.archive.ubuntu.com raring/main Sources                          
Ign http://extras.ubuntu.com raring/main Translation-es_ES                    
Ign http://extras.ubuntu.com raring/main Translation-es                       
Obj http://es.archive.ubuntu.com raring/restricted Sources                    
Ign http://extras.ubuntu.com raring/main Translation-en      
Obj http://es.archive.ubuntu.com raring/universe Sources     
Obj http://es.archive.ubuntu.com raring/multiverse Sources   
Des:12 http://security.ubuntu.com raring-security/restricted i386 Packages [14 B]
Des:13 http://security.ubuntu.com raring-security/universe i386 Packages [45,2 kB]
Obj http://es.archive.ubuntu.com raring/main i386 Packages
Obj http://es.archive.ubuntu.com raring/restricted i386 Packages
Des:14 http://security.ubuntu.com raring-security/multiverse i386 Packages [3.884 B]
Obj http://security.ubuntu.com raring-security/main Translation-en            
Obj http://security.ubuntu.com raring-security/multiverse Translation-en      
Obj http://es.archive.ubuntu.com raring/universe i386 Packages                
Obj http://es.archive.ubuntu.com raring/multiverse i386 Packages              
Obj http://security.ubuntu.com raring-security/restricted Translation-en      
Obj http://security.ubuntu.com raring-security/universe Translation-en        
Obj http://es.archive.ubuntu.com raring/main Translation-es                   
Obj http://es.archive.ubuntu.com raring/main Translation-en                   
Ign http://security.ubuntu.com raring-security/main Translation-es_ES         
Ign http://security.ubuntu.com raring-security/main Translation-es            
Ign http://security.ubuntu.com raring-security/multiverse Translation-es_ES   
Ign http://security.ubuntu.com raring-security/multiverse Translation-es      
Ign http://security.ubuntu.com raring-security/restricted Translation-es_ES   
Ign http://security.ubuntu.com raring-security/restricted Translation-es      
Ign http://security.ubuntu.com raring-security/universe Translation-es_ES     
Ign http://security.ubuntu.com raring-security/universe Translation-es        
Obj http://es.archive.ubuntu.com raring/multiverse Translation-es             
Obj http://es.archive.ubuntu.com raring/multiverse Translation-en             
Obj http://es.archive.ubuntu.com raring/restricted Translation-es             
Obj http://es.archive.ubuntu.com raring/restricted Translation-en             
Obj http://es.archive.ubuntu.com raring/universe Translation-es               
Obj http://es.archive.ubuntu.com raring/universe Translation-en               
Obj http://es.archive.ubuntu.com raring-updates/main Sources                  
Obj http://es.archive.ubuntu.com raring-updates/restricted Sources            
Obj http://es.archive.ubuntu.com raring-updates/universe Sources              
Obj http://es.archive.ubuntu.com raring-updates/multiverse Sources            
Obj http://es.archive.ubuntu.com raring-updates/main i386 Packages            
Obj http://es.archive.ubuntu.com raring-updates/restricted i386 Packages      
Obj http://es.archive.ubuntu.com raring-updates/universe i386 Packages        
Obj http://es.archive.ubuntu.com raring-updates/multiverse i386 Packages      
Obj http://es.archive.ubuntu.com raring-updates/main Translation-en           
Obj http://es.archive.ubuntu.com raring-updates/multiverse Translation-en     
Obj http://es.archive.ubuntu.com raring-updates/restricted Translation-en     
Obj http://es.archive.ubuntu.com raring-updates/universe Translation-en
Obj http://es.archive.ubuntu.com raring-backports/main Sources
Obj http://es.archive.ubuntu.com raring-backports/restricted Sources
Obj http://es.archive.ubuntu.com raring-backports/universe Sources
Obj http://es.archive.ubuntu.com raring-backports/multiverse Sources
Obj http://es.archive.ubuntu.com raring-backports/main i386 Packages
Obj http://es.archive.ubuntu.com raring-backports/restricted i386 Packages
Obj http://es.archive.ubuntu.com raring-backports/universe i386 Packages
Obj http://es.archive.ubuntu.com raring-backports/multiverse i386 Packages
Obj http://es.archive.ubuntu.com raring-backports/main Translation-en
Obj http://es.archive.ubuntu.com raring-backports/multiverse Translation-en
Obj http://es.archive.ubuntu.com raring-backports/restricted Translation-en
Obj http://es.archive.ubuntu.com raring-backports/universe Translation-en
Ign http://es.archive.ubuntu.com raring/main Translation-es_ES
Ign http://es.archive.ubuntu.com raring/multiverse Translation-es_ES
Ign http://es.archive.ubuntu.com raring/restricted Translation-es_ES
Ign http://es.archive.ubuntu.com raring/universe Translation-es_ES
Ign http://es.archive.ubuntu.com raring-updates/main Translation-es_ES
Ign http://es.archive.ubuntu.com raring-updates/main Translation-es
Ign http://es.archive.ubuntu.com raring-updates/multiverse Translation-es_ES
Ign http://es.archive.ubuntu.com raring-updates/multiverse Translation-es
Ign http://es.archive.ubuntu.com raring-updates/restricted Translation-es_ES
Ign http://es.archive.ubuntu.com raring-updates/restricted Translation-es
Ign http://es.archive.ubuntu.com raring-updates/universe Translation-es_ES
Ign http://es.archive.ubuntu.com raring-updates/universe Translation-es
Ign http://es.archive.ubuntu.com raring-backports/main Translation-es_ES
Ign http://es.archive.ubuntu.com raring-backports/main Translation-es
Ign http://es.archive.ubuntu.com raring-backports/multiverse Translation-es_ES
Ign http://es.archive.ubuntu.com raring-backports/multiverse Translation-es
Ign http://es.archive.ubuntu.com raring-backports/restricted Translation-es_ES
Ign http://es.archive.ubuntu.com raring-backports/restricted Translation-es
Ign http://es.archive.ubuntu.com raring-backports/universe Translation-es_ES
Ign http://es.archive.ubuntu.com raring-backports/universe Translation-es
Descargados 302 kB en 1min. 18seg. (3.831 B/s)
Leyendo lista de paquetes... ¡Error!
E: No se pudo tratar el archivo de paquetes /var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_raring-updates_main_i18n_Translation-en (1)
E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado.

Como siempre os agradezco la ayuda, saludos

¿Has comprobado bien el sources.list?
¿Has comprobado la consabida fórmula?:

sudo dpkg --configure -a
sudo aptitude install -f

Prueba con aptitude

sudo aptitude update && sudo aptitude full-upgrade

¡Hola Ralsa! He probado algunas soluciones de problemas parecidos pero no han funcionado, la sources.list:

# deb cdrom:[Kubuntu 13.04 _Raring Ringtail_ - Release i386 (20130424)]/ raring main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://es.archive.ubuntu.com/ubuntu/ raring main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ raring main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ raring-updates main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ raring-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ raring universe
deb-src http://es.archive.ubuntu.com/ubuntu/ raring universe
deb http://es.archive.ubuntu.com/ubuntu/ raring-updates universe
deb-src http://es.archive.ubuntu.com/ubuntu/ raring-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://es.archive.ubuntu.com/ubuntu/ raring multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ raring multiverse
deb http://es.archive.ubuntu.com/ubuntu/ raring-updates multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ raring-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ raring-backports main restricted universe multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ raring-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu/ raring-security main restricted
deb-src http://security.ubuntu.com/ubuntu/ raring-security main restricted
deb http://security.ubuntu.com/ubuntu/ raring-security universe
deb-src http://security.ubuntu.com/ubuntu/ raring-security universe
deb http://security.ubuntu.com/ubuntu/ raring-security multiverse
deb-src http://security.ubuntu.com/ubuntu/ raring-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb [p] http://archive.canonical.com/ubuntu/ raring partne r
# deb-src [Ð] http://archive.canonical.com/ubuntu/ raring partne r

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu/ raring main
deb-src http://extras.ubuntu.com/ubuntu/ raring main

y lo que sale al meter los comandos que me has enviado:

# sudo dpkg --configure -a
# sudo aptitude install -f
sudo: aptitude: orden no encontrada

Hola.

Unicejo Barrera escribió:

bueno, he encontrado fallos parecidos pero no me han servido de ayuda

Coméntanos que has intentado o que guía o foro has seguido para intentar solucionar el problema, así sepamos que cosa no volver a recomendarte.

Saludos.

¡Hola Yafu! He estado buscando durante algún tiempo, esto son los mas recientes:

errores con los repositorios [Solucionado]
Error al instalar paquetes desde los repositorios [Solucionado]
No puedo instalar ni desinstalar paquetes o programas en Kubuntu 9.04
Sobre instalar un determinado paquete y actualizar lista de distribuciones

Algunas de las soluciones las he probado y no van

Aptitude no viene por defecto, hay que instalarlo primero:

sudo apt-get install aptitude

En una de las soluciones recomendaban hacer update con aptitude y al intentar instalarlo me salio esto:

# sudo apt-get install aptitude
Leyendo lista de paquetes... ¡Error!
E: No se pudo tratar el archivo de paquetes /var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_raring-updates_main_i18n_Translation-en (1)
E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado.

Es importante para realizar una buena búsqueda, colocar en Google parte del mensaje de error entre comillas, por ejemplo buscando con:

"E: No se pudo tratar el archivo de paquetes"

o con:

"E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado"

Si no habías buscado así, hazlo y dinos si has encontrado algo que te funcione. Y por supuesto, pregúntanos si tienes dudas sobre algo de lo que encuentres.

Fíjate que algunos hablan de eliminar ese archivo problemático del mensaje de error.

Yo borraría el contenido del directorio /var/lib/apt/lists/

y actualizaría paquetes con

sudo apt-get update

Si funcionase instalaría inmediatamente aptitude para posteriores gestiones.

Pero esto es muy aventurado y yo soy muy kamikaze.

Ralsa escribió:

Pero esto es muy aventurado y yo soy muy kamikaze.

mrgreen

En realidad podría intentar primero eliminando solo el archivo que hace referencia el error:

/var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_raring-updates_main_i18n_Translation-en

Y luego probar a ver si vuelve a dar problema con algún otro de los archivos.

Recordar que anteponiendo "sudo rm" es para eliminar un archivo como superusuario. Tener un poco de cuidado con el comando y leer al respecto.

De todas formas esos archivos se regeneran/vuelven a descargar al hacer update.

Hola otra vez, perdonad la tardanza pero siguiendo el consejo de Yafu metí el error entrecomillas en el buscador de google y mas o menos esta es la secuencia:

Búsqueda Google: “E: No se pudo tratar el archivo de paquetes /var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_raring-updates_main_i18n_Translation-en (1)”

1 resultado: Como solucionar problemas al Instalar o Actualizar paquetes

A veces al realizar una instalación fallida o al interrumpir alguna actualización accidentalmente, podemos causar problemas en Ubuntu o Linux Mint (o en cualquier distribución basada en Debian) y ocurre que el sistema de paquetes deja de funcionar y al intentar actualizar o instalar algún otro paquete, nos puede mostrar el siguiente error:
“Sub-process /usr/bin/dpkg returned an error code(1)”
Solucionarlo es muy sencillo, aquí te enseño como.
Para solucionar este problema solo se debe ejecutar el siguiente comando:
sudo dpkg –configure -a

Este comando le indica al sistema de paquetes que termine la instalación pendiente. Si te sigue mostrando ese problema puedes eliminar algunos archivos para que no se mantenga ninguna configuración o archivo que pudiera estar incorrecto. Para esto ve a la siguiente carpeta y elimina los archivos .portrm y .list, lo puedes hacer con los siguientes comandos:
1.- Eliminar los archivos:
sudo rm /var/lib/dpkg/info/*.postrm
sudo rm /var/lib/dpkg/info/*.list
2.- Elimina el cache de paquetes y actualiza el sistema

sudo apt-get clean all
sudo apt-get update
sudo apt-get upgrade
Con esto tendremos nuestro sistema de de paquetes limpio y preparado para continuar trabajando sin problemas y poder instalar o actualizar el sistema sin problemas
Si ocurre que te muestra un mensaje como este: “Se produjo un error durante la verificación de las firmas. El repositorio no está actualizado y se utilizarán los ficheros de índice antiguos.” ha ocurrido algún problema con las listas de paquetes y no se pueden acceder, en este caso es mejor borrarlas y descargar todo de nuevo, para esto ejecuta estos comandos:
sudo rm /var/lib/apt/lists/*
sudo rm /var/lib/apt/lists/partial/*
sudo apt-get update - (omitido)
Listo ya deberías poder instalar cualquier paquete o actualizar los paquetes del sistema que lo requieran mediante el comando
sudo apt-get upgrade - (omitido)

Y ha funcionado, os dejo el enlace:

http://www.comoinstalarlinux.com/como-solucionar-problemas-al-instalar-o...

Lo primero que he hecho es instalar aptitude, gracias de nuevo, para los usuarios de kubuntu es gratificante saber que estáis ahí, si os parece bien daré este hilo como solucionado dentro de un rato.

saludos y gracias